%define name 	sane
%define version 1.0.22
%define release %mkrel 3
%define beta	%nil
#define beta	-pre1
#define beta	.20080121

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

%define iscanversion 2.24.0

# All sane backends have SONAME libsane.so.1. We do not want
# sane-backends-iscan to provide libsane.so.1, so filter these out.
%define _exclude_files_from_autoprov  %{_libdir}/%{name}/
%define __libtoolize /bin/true

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0

%define gphoto2_support 1
%define v4l_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
# Switch to disable the compilation of the "epkowa" backend in case of
# problems
%define epkowa_support 1
%ifarch alpha ppc sparc %arm %mips
%define primax_support 0
%define epkowa_support 0
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SANE - local and remote scanner access
URL:		http://www.sane-project.org/
Source:		ftp://ftp.sane-project.org/pub/sane/sane-%version/sane-backends-%{version}%{beta}.tar.gz
Source3:        http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned-xinetd
Source9:	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	http://heanet.dl.sourceforge.net/sourceforge/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c
# The free part of Epson's scanner driver package IScan, full package
# downloaded from http://www.avasys.jp/english/linux_e/index.html
# Non-free part stripped out with
# mkdir x; cd x; tar -xvzf ../iscan_2.21.0-6.tar.gz; rm -f */non-free/EAPL*.txt */non-free/lib*.so; tar -cvjf ../iscan_2.21.0-6-free.tar.bz2 *; cd ..; rm -rf x
Source13:	iscan_%{iscanversion}-4-free.tar.bz2
Source14:	http://downloads.sourceforge.net/project/geniusvp2/sane-backend-geniusvp2/1.0.16.1/sane-backend-geniusvp2_1.0.16.1.tar.gz
Patch1:		sane-backends-1.0.18-plustek-s12.patch
Patch9: 	sane-sparc.patch
#Patch20:	http://projects.troy.rollo.name/rt-scanners/hp3500.diff
Patch21:	sane-hp_rts88xx-0.18_fix_link.patch
Patch23:	iscan-2.10.0-1_fix_link.patch
Patch24:	sane-backends-1.0.21-link.patch
Patch26:	iscan-2.20.1-no_non-free_please.diff
Patch27:	iscan-2.20.1-linkage_fix.patch
# (fc) 1.0.19-12mdv fix group for device
Patch28:	sane-backends-1.0.20-group.patch
# (fc) 1.0.20-1mdv primascan build support
Patch29:	sane-backends-1.0.22-primascan.patch
# (fc) list Brother MFC-260C, DCP130C as supported (Mdv bug # 52951)
Patch30:	sane-backends-1.0.20-brother2list.patch
Patch31:	sane-backends-1.0.22-strformat.patch
Patch32:	add-mp495.patch
# Debian patches
# new build system breaks build when using pthreads.
Patch101:       01_missing_pthreads.dpatch
# only link the frontends with the libraries they need.
Patch102:       02_frontends_libs.dpatch
# reduce libsane.so deps to the bare minimum.
Patch103:       03_libsane_deps.dpatch
# add back SANE_CAP_ALWAYS_SETTABLE which was mistakenly
# removed from SANE 1.0.20
Patch106:       06_cap_always_settable.dpatch
# Update es translation and add new gl translation, courtesy of
# Miguel Bouzada <mbouzada@gmail.com>.
Patch109:       09_po_update_es_add_gl.dpatch
# Use fedora's patch to remove rpath
# Patch to the dll backend to look for pieces of dll.conf inside the
# /etc/sane.d/dll.d/ directory. This is a facility for packages providing
# external backends (like libsane-extras, hpoj and hplip).
Patch113:       22_dll_backend_conf.dpatch
# do not install OS-specific READMEs.
Patch114:       23_unneeded_doc.dpatch
Patch115:       24_sane-desc.c_debian_mods.dpatch
# use ubuntu udev rules 
Patch118:	ubuntu_udev_noperm.dpatch

# Fedora patches
Patch202: sane-backends-1.0.20-open-macro.patch
Patch203: sane-backends-1.0.20-hal.patch
Patch205: sane-backends-1.0.20-epson-expression800.patch
Patch206: sane-backends-1.0.22-v4l.patch

# lib/ is LGPLv2+, backends are GPLv2+ with exceptions
# Tools are GPLv2+, docs are public domain
License: 	GPLv2+ and GPLv2+ with exceptions and Public Domain
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	libusb-devel
BuildRequires:	libieee1284-devel
BuildRequires:	libltdl-devel
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	libgtk+2.0-devel
%if %{gphoto2_support}
BuildRequires:	gphoto2-devel
%endif
%if %{v4l_support}
BuildRequires:	libv4l-devel
%endif
%if %{epkowa_support}
BuildRequires:	autoconf
%endif
# ensure resmgr is not pulled
BuildConflicts: resmgr-devel

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname}
Group: 		System/Kernel and hardware
License: 	LGPL
Summary: 	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n %{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname_devel}
Group: 		Development/C
License:	LGPL
Summary: 	SANE - local and remote scanner access
Requires: 	%{libname} = %{version}
Provides: 	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes: 	sane-devel

%description -n %{libname_devel}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package backends
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	%{name} = %{version}-%{release}
%if %epkowa_support
Suggests:	iscan
%endif

%description backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.
This package contains the backends for different scanners.

%if %epkowa_support
%package backends-iscan
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	iscan = %{iscanversion}
Conflicts:	sane-backends < 1.0.19-3
Conflicts:	%{libname} < 1.0.19-5
Conflicts:	%{libname_devel} < 1.0.20-7

%description backends-iscan
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the iscan backend, in order to not conflict with
manufacturer-supplied packages.
%endif

%package backends-doc
Summary:	Documentation for SANE backends
Group:		System/Kernel and hardware

%description backends-doc
This package contains the SANE backend documentation for different
scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

%package -n saned
Group:          System/Kernel and hardware
License:        LGPL
Summary:        SANE - local and remote scanner access
Provides:       %{name} = %{version}-%{release}
Provides:	saned = %{version}-%{release}
Requires:	sane-backends >= 1.0.15-2mdk
Requires:	xinetd
Requires(preun,post):	rpm-helper

%description -n saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

%prep
%setup -q -n sane-backends-%{version}%{beta}
%patch1 -p1 -b .plusteks12
%patch24 -p0 -b .link
%patch28 -p1 -b .group
%patch30 -p1 -b .brother2list
%patch31 -p1 -b .strformat
%patch32 -p0 -b .mp495

%patch101 -p1
#patch102 -p1
%patch103 -p1
%patch106 -p1
#%patch109 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch118 -p1 -b .ubuntu-udev

# Fedora patches
%patch202 -p1 -b .open-macro
#%patch203 -p1 -b .hal
%patch205 -p0 -b .epson-expression800
%patch206 -p1 -b .v4l


# Patches for non-x86 platforms
%ifarch sparc
%patch9 -p1 -b .sparc
%endif

# "geniusvp2" backend
#setup -q -T -D -a 14 -n sane-backends-%{version}

# "hp3500" backend
# Patch does not match on file unsupported.desc (change should not affect
# the backend itself), so we force it in
#bzcat %{PATCH20} | patch -p0 -b --suffix .hp3500 -f || :

# Fix parallel build (Gwenole)
#for a in `find . -name Makefile.in -print`; do \
#	perl -p -i -e 's/^(\s*TARGETS\s+=\s+)(\S+)(\s+)(\$\(\S+_LTOBJS\))/$1$4$3$2/' $a; \
#done

# Patch for the HP ScanJet 44x0C scanners ("hp_rts88xx" backend)
#%setup -q -T -D -a 9 -n sane-backends-%{version}%{beta}
#cd sane_hp_rts88xx/sane_hp_rts88xx
#./patch-sane.sh $RPM_BUILD_DIR/sane-backends-%{version}%{beta}
#cd ../..
#patch21 -p1 -b .hp_rts88xx-0.18-fix_link
#echo 'hp_rts88xx' >> backend/dll.conf.in

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}%{beta}
%endif

# "primascan" backend 
# (commented out in dll.conf, as it claims to support every USB scanner)
%patch29 -p0 -b .primascan
cat %{SOURCE11} > backend/primascan.h
cat %{SOURCE12} > backend/primascan.c
##perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure.in
# <mrl> avoid autoconf by applying change to configure too.
##perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure
##perl -p -i -e 's:(DISTFILES\s*=\s*):$1primascan.h primascan.c :' backend/Makefile.in
echo '#primascan' >> backend/dll.conf.in
autoreconf -fi

# Scanners in some Brother MF devices
#setup -q -T -D -a 10 -n sane-backends-%{version}%{beta}

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}%{beta}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

%if %epkowa_support
pushd iscan-%{iscanversion}
%patch23 -p0 -b .iscan-2.10.0-1_fix_link
%patch26 -p0 -b .no_non-free_please
%patch27 -p2 -b .linkage_fix
popd
%endif

# Remove the backend/dll.conf file generated by the patches, it prevents
# the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf

%build

%configure2_5x \
  --enable-rpath=no \
%if !%{gphoto2_support}
 --without-gphoto2
%endif


# Do not use macros here (with percent in the beginning) as parallelized
# build does not work
%make

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
cd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -fPIC -I`pwd`/../include -L`pwd`/../backend/.libs/"\
#CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include/sane -L`pwd`/../backend/.libs/"\
%configure2_5x
%make
%make primax_scan
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
cd iscan-%{iscanversion}
#autoconf
sh ./bootstrap
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
%configure2_5x --disable-frontend
%make
cd ..
%endif

%install

rm -rf %{buildroot}
%makeinstall_std

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

#mv %{buildroot}/%{_sbindir}/saned %{buildroot}/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner %{buildroot}/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Comment out entry for the "epson" backend in /etc/sane.d/dll.conf as
# we have also Epson's "epkowa" backend which supports the same
# scanners
perl -p -i -e 's/^(\s*epson)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove "hpoj" line from /etc/sane.d/dll.con
perl -p -i -e 's/HP\s+OfficeJet/HPLIP/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj.sf.net/hplip.sf.net/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj/hpaio/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Remove /usr/lib/libsane.a, it is a broken symlink
#rm -f %{buildroot}%{_libdir}/libsane.a

# Move documentation from /usr/doc to /usr/share/doc
install -d %{buildroot}%{_docdir}/sane-backends-%version/
install -d %{buildroot}%{_docdir}/sane-backends-doc-%version/
pushd %{buildroot}/usr/doc/sane-%{version}
#pushd %{buildroot}/usr/doc/sane-1.0.18-cvs
mv `find -mindepth 1 -type d` *.html *.ps *.txt %{buildroot}%{_docdir}/sane-backends-doc-%version/
mv README README.linux %{buildroot}%{_docdir}/sane-backends-%version/
rm -f README.*
mv * %{buildroot}%{_docdir}/sane-backends-%version/
popd

# Primax parallel port scanners
%if %{primax_support}
cd primaxscan*
%makeinstall
rm -f %{buildroot}%{_libdir}/libsane-primax.a
mv %{buildroot}%{_libdir}/libsane-primax* %{buildroot}%{_libdir}/sane/
cp primax_scan %{buildroot}%{_bindir}
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
cd iscan-%{iscanversion}
%makeinstall
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.conf
cd ..
%endif

# Xinetd.d entry
mkdir %{buildroot}/etc/xinetd.d
cat %{SOURCE5} > %{buildroot}/etc/xinetd.d/saned

# udev rules for libusb user support
mkdir -p %{buildroot}/%{_sysconfdir}/udev/rules.d
install -m644 tools/udev/libsane.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/60-libsane.rules
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}/%{_sysconfdir}/udev/rules.d/60-libsane.rules

%find_lang sane-backends
%if %epkowa_support
%find_lang iscan
%endif

sed -i '/^%dir/d' sane-backends.lang
%if %epkowa_support
sed -i '/^%dir/d' iscan.lang
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%post -n saned
%_post_service saned

%pre -n saned
# Add saned to group cdwriter and ub for scanner access.
#/usr/sbin/useradd -r -M -s /bin/false  -c "system user for saned" saned -G cdwriter,usb || :
%_pre_useradd saned /etc/sane.d /bin/false
/usr/sbin/usermod -G cdwriter,usb saned

%preun -n saned
%_preun_service saned

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif
%postun -n saned
%_postun_userdel saned

%clean
rm -rf %{buildroot}

%files backends -f sane-backends.lang
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-%version
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
%dir %{_sysconfdir}/sane.d/dll.d
#config(noreplace) %{_sysconfdir}/sane.d/*[^saned]
%config(noreplace) %{_sysconfdir}/sane.d/*
%{_sysconfdir}/udev/rules.d/*-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
%if %epkowa_support
# iscan files
%exclude %_sysconfdir/sane.d/epkowa.conf
%exclude %_mandir/man5/sane-epkowa.5*
%endif

%if %epkowa_support
%files backends-iscan -f iscan.lang
%defattr(-,root,root,755)
%_libdir/sane/libsane-epkowa.*
%_sysconfdir/sane.d/epkowa.conf
%_mandir/man5/sane-epkowa.5*
%dir %{_datadir}/iscan
%{_datadir}/iscan/*
%endif

%files backends-doc
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-doc-%version

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%if %epkowa_support
%exclude %_libdir/sane/libsane-epkowa.*
%endif

%files -n %{libname_devel}
%defattr(-,root,root,755)
%{_bindir}/sane-config
#%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/sane/*.a
%{_libdir}/sane/*.la
%{_libdir}/sane/*.so
%{_includedir}/sane
%if %epkowa_support
%exclude %_libdir/sane/libsane-epkowa*
%endif

%files -n saned
%defattr(-,root,root,755)
%{_sbindir}/*
%{_mandir}/man8/saned*
#config(noreplace) %{_sysconfdir}/sane.d/saned.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned



%changelog
* Tue Aug 16 2011 Alexander Barakin <abarakin@mandriva.org> 1.0.22-3mdv2011.0
+ Revision: 694682
- homedir patch #63844

* Mon Jul 04 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.0.22-2
+ Revision: 688709
- P32 for MP495 support

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 1.0.22-1
+ Revision: 649595
- New version 1.0.22
  update udev patch from fedora
  rediff primascan patch
  add upstream patch to build with latest v4l
- drop unused patches

* Thu Feb 10 2011 Funda Wang <fwang@mandriva.org> 1.0.21-6
+ Revision: 637100
- rebuild
- tighten BR

* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 1.0.21-5mdv2011.0
+ Revision: 609540
- link for sane-config

* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 1.0.21-4mdv2011.0
+ Revision: 609536
- drop those invalid unneeded lib deps in libsane.la

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.21-3mdv2011.0
+ Revision: 607503
- rebuild

* Tue May 18 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.21-2mdv2010.1
+ Revision: 545112
- Update patch30 to list DCP-195C (Mdv bug #59266)

* Mon May 03 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.21-1mdv2010.1
+ Revision: 541699
- Update Epson tarball with new upstream version
- Update to version 1.0.21
  Remove merged patches
  Rediff patches

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 1.0.20-10mdv2010.1
+ Revision: 506997
- add missing patch
- do not push all the libs into libsane

* Tue Jan 19 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.20-9mdv2010.1
+ Revision: 493580
- Enable libv4l support (Mdv bug #54562)
- ensure package can't be built with resmgr
- improve license tag (Fedora)

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.20-8mdv2010.1
+ Revision: 488802
- rebuilt against libjpeg v8

* Mon Oct 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.20-7mdv2010.0
+ Revision: 458300
- Make sure the epkowa .la and .so are not packaged a second time in the
  devel package, causing a conflict with the iscan package

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.20-6mdv2010.0
+ Revision: 457616
- rebuilt against new net-snmp libs

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.20-5mdv2010.0
+ Revision: 454836
- Patch118 (Ubuntu): do not change group / permissions on scanners, it is already done by upstream udev ACL rules

* Mon Oct 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.20-4mdv2010.0
+ Revision: 454233
- Sync patches with Fedora and Debian
- It's possible to set up back-ends by dropping a file in
  /etc/sane.d/dll.d
- Remove hp_rts88xx back-end: obsoleted by rts8891 back-end included
  sane 1.0.20

* Fri Oct 02 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.20-3mdv2010.0
+ Revision: 452692
- Update iscan to 2.21.0-6
- remove patches 24 / 25 (no longer needed)
- Patch32 (GIT): update Epson list
- Update patch30 with Brother DCP-130C

* Mon Sep 28 2009 Olivier Blin <blino@mandriva.org> 1.0.20-2mdv2010.0
+ Revision: 450587
- fix iscan build
- do not try to make doc/sane.ps.gz (no rule for this)
- fix building when epkowa is disabled (from Arnaud Patard)
- dvi files are not installed anymore
- use makeinstall_std
- fix string format error
- fix applying Brother MFC-260C patch
- disable primax/epkowa on mips & arm, they need some binary stuff...
  (from Arnaud Patard)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch29: list Brother MFC-260C (Mdv bug #52951)
    - Release 1.0.20
    - Cleanup specfile
    - Replace in-file search/replace by patches
    - Update group patch
    - Update genius to 1.0.16.1

* Thu Sep 03 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.19-12mdv2010.0
+ Revision: 428654
- Patch28: fix default group for devices

* Thu Sep 03 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.19-11mdv2010.0
+ Revision: 428169
- really fix linkage
- fix build
- fix build (gettext, gettext-devel) for iscan-2.20.1 autopoo
- iscan-2.10.0
- added patches from gentoo to make iscan build (P24,P25)
- rediffed P23
- added P26 to stop iscan from messing with its non-free stuff
- rebuilt against libjpeg v7

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove old script changing device permission, uses udev ACL instead (ensure ACL are set correctly) :  should Mdv bug #52951

  + Funda Wang <fwang@mandriva.org>
    - fix str fmt
    - use configure2_5x

* Fri Aug 29 2008 Olivier Blin <blino@mandriva.org> 1.0.19-7mdv2009.0
+ Revision: 277380
- install udev helpers in /lib/udev (this is the default on x86_64 too now, as per upstream)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Tiago Salem <salem@mandriva.com.br> 1.0.19-5mdv2009.0
+ Revision: 211724
- add some patches to be able build using gcc 4.3
- Fixing conflicts entry in sane-backends-iscan
- bump release
- Moving %%exclude of epkowa to the right package
- Adding Conflicts entry to sane-backends-iscan subpackage

* Sun May 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.19-4mdv2009.0
+ Revision: 208672
- All sane-backends in %%_libdir/sane have SONAME libsane.so.1. Because
  of this, sane-backends-iscan provides libsane.so.1, which can break
  correct dependencies. To fix this, we now ignore the provides of the
  sane backend so files.

* Tue Feb 19 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.19-3mdv2008.1
+ Revision: 173006
- Split out iscan files to sane-backends-iscan. Closes: #26470

* Mon Feb 18 2008 Olivier Blin <blino@mandriva.org> 1.0.19-2mdv2008.1
+ Revision: 171892
- do not let the udev/dynamic helper hang boot (#37460)

* Mon Feb 11 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.19-1mdv2008.1
+ Revision: 165411
- New upstream: 1.0.19

* Thu Feb 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-14mdv2008.1
+ Revision: 163708
- Bunziped saned-xinetd.
- Bunziped primascan sources.
- Update iscan to 2.10.0.

* Tue Jan 22 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-13mdv2008.1
+ Revision: 156370
- Fix x86_64 build.
- Uses cvs checkout frmo today, as current stable release is too old and
  missing drivers from recent devices. See #36962

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Oct 03 2007 Funda Wang <fwang@mandriva.org> 1.0.18-12mdv2008.0
+ Revision: 94971
- fix provides of iscan

* Thu Sep 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-11mdv2008.0
+ Revision: 91406
- Added patch plustek-s12 to support plustek s12. Closes: #26491

